summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-12-20 14:48:40 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-12-20 14:54:35 +0100
commit9f719ed85243d0d82acc1e3a0efab8ae6cd1a825 (patch)
tree6abb6dfb88d08f6b6d4b50b3c3a221e1d61a6cb9
parentsys-devel/bison: bump to v3.2.3 (diff)
downloadgentoo-9f719ed85243d0d82acc1e3a0efab8ae6cd1a825.tar.gz
gentoo-9f719ed85243d0d82acc1e3a0efab8ae6cd1a825.tar.bz2
gentoo-9f719ed85243d0d82acc1e3a0efab8ae6cd1a825.zip
kde-misc/basket: 2.49a_p20181205 snapshot bump
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--kde-misc/basket/Manifest1
-rw-r--r--kde-misc/basket/basket-2.49a_p20181205.ebuild73
2 files changed, 74 insertions, 0 deletions
diff --git a/kde-misc/basket/Manifest b/kde-misc/basket/Manifest
index 790e94a6b8d..28ae7fcf2d9 100644
--- a/kde-misc/basket/Manifest
+++ b/kde-misc/basket/Manifest
@@ -1 +1,2 @@
DIST basket-2.49a_p20170225.tar.gz 4680129 BLAKE2B f6a7acc8b83596815a79f9dd73879f9471d2a9ae9096d521ef98faeaaa2f3f2c6dc46c05ed0097fa1b20cf66479b5127b625eb60b0257fb1579bfc1d73f2e989 SHA512 87d454d33bfa881ac5958a4d02c5775b8d54e83c6b86e1b2732565132b2d0339be630a3ab0bbd0169da950aa43750e4088add45a94ce10fd3ffa05e0b3e26b1c
+DIST basket-2.49a_p20181205.tar.gz 4689215 BLAKE2B dce87001622aac8e50957d87d36c9094a807765d96bc60fe450fed0f293e0e21ead7529c57eaecc97c4f56d5bce7fabd34a564f632fc56f0c83621fac4092dee SHA512 62c6a337f634be374ee8631c8b88a78097ae4badd905e6be556f11fa841cc03ab32ab563f59a865d1bc85f105ec273472734c42f1bff834e4d7219c258d82281
diff --git a/kde-misc/basket/basket-2.49a_p20181205.ebuild b/kde-misc/basket/basket-2.49a_p20181205.ebuild
new file mode 100644
index 00000000000..587b1ce550e
--- /dev/null
+++ b/kde-misc/basket/basket-2.49a_p20181205.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+COMMIT="60e38c6028e42efdaf042212097a34044c724a57"
+KDE_TEST="true"
+KDE_HANDBOOK="forceoptional"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="A DropDrawers clone. Multiple information organizer"
+HOMEPAGE="https://github.com/basket-notepads/basket"
+SRC_URI="https://github.com/${PN}-notepads/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="crypt git"
+
+RDEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kcmutils)
+ $(add_frameworks_dep kcodecs)
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep kfilemetadata)
+ $(add_frameworks_dep kglobalaccel)
+ $(add_frameworks_dep kguiaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep kparts)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ media-libs/phonon[qt5(+)]
+ x11-libs/libX11
+ crypt? ( app-crypt/gpgme:= )
+ git? ( dev-libs/libgit2:= )
+"
+DEPEND="${RDEPEND}
+ $(add_qt_dep qtconcurrent)
+ git? ( virtual/pkgconfig )
+"
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+src_prepare() {
+ kde5_src_prepare
+ if ! use test; then
+ sed -e "/add_subdirectory(tests/s/^/#DONT/" -i src/CMakeLists.txt || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package crypt Gpgme)
+ $(cmake-utils_use_find_package git Libgit2)
+ )
+ kde5_src_configure
+}